/*---------------------------------------------------------------------
 * $AstecId: user-cg-cl.c,v 1.2 2003/01/29 04:17:11 kosaka Exp $
 * $Source: /rcs/rcs2/customize/user-cg-cl.c,v $
 * $Date: 1996/11/09 16:38:20 $             $Revision: 2.2.65.1 $
 *---------------------------------------------------------------------
 * 
 *
 *             Copyright (c) 1991, Visual Edge Software Ltd.
 *
 * ALL  RIGHTS  RESERVED.  Permission  to  use,  copy,  modify,  and
 * distribute  this  software  and its documentation for any purpose
 * and  without  fee  is  hereby  granted,  provided  that the above
 * copyright  notice  appear  in  all  copies  and  that  both  that
 * copyright  notice and this permission notice appear in supporting
 * documentation,  and that  the name of Visual Edge Software not be
 * used  in advertising  or publicity  pertaining to distribution of
 * the software without specific, written prior permission. The year
 * included in the notice is the year of the creation of the work.
 *-------------------------------------------------------------------*/

/*
 * XRT products and UIM/X integration file
 *
 *  SCCSID -- @(#)user-cg-cl.c	1.9    95/11/10 KL Group Inc.
 */

/******************************************************************************/
/*				USER-CG-CL.C				      */
/******************************************************************************/

#include <stdio.h>
#include "utype.h"
#include "class_info.h"

void	CgInitUserDefWidgetClasses()
{
	/* This is a stub function to provide a place
	   to make new widget classes known to CGEN */
#ifdef	HASBAE
	extern void CgInitMatrixWidgetClass();
	extern void CgInitCapitonWidgetClass();

	CgInitMatrixWidgetClass();
	CgInitCapitonWidgetClass();
#endif	/* HASBAE */

#ifdef	XRT
#ifdef HASXRTGRAPH
	XrtGph_cg();	/* Call XrtGraph cgen initialization in XrtGph_cg.c */
#endif /* HASXRTGRAPH */

#ifdef HASXRT3D
	Xrt3d_cg();	/* Call Xrt3d cgen initialization in Xrt3d_cg.c */
#endif /* HASXRT3D */

#ifdef HASXRTTABLE
	XrtTbl_cg();	/* Call XrtTable cgen initialization in XrtTbl_cg.c */
#endif /* HASXRTTABLE */
	
#ifdef HASXRTFIELD
	XrtFld_cg();	/* Call XrtField cgen initialization in XrtFld_cg.c */
#endif /* HASXRTFIELD */
	
#ifdef HASXRTGEAR
	XrtGear_cg();	/* Call XrtGear cgen initialization in XrtGear_cg.c */
#endif /* HASXRTGEAR */
	
#ifdef HASXRTGAUGE
	XrtGauge_cg();	/* Call XrtGauge cgen initialization in XrtGauge_cg.c */
#endif /* HASXRTGAUGE */
#endif	/* XRT */
	
}
