/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtGauge_xtype.h	1.2    99/12/08 KL Group Inc.
 */

/*****************************************************************************
				XrtGauge_xtype.h
*****************************************************************************/

#ifndef XRTGAUGE_XTYPES_H
#define XRTGAUGE_XTYPES_H

/* Xtypes that are declaired in XrtGauge_xtype.c */
extern int	    UxXT_XrtGaAlignment;
extern int	    UxXT_XrtGaBorder;
extern int	    UxXT_XrtGaCalcMode;
extern int	    UxXT_XrtGaDirection;
extern int	    UxXT_XrtGaDisplayMode;
extern int	    UxXT_XrtGaDouble;
extern int	    UxXT_XrtGaImage;
extern int	    UxXT_XrtGaImageLayout;
extern int	    UxXT_XrtGaIndicatorType;
extern int	    UxXT_XrtGaInteractionType;
extern int	    UxXT_XrtGaLinePattern;
extern int	    UxXT_XrtGaMarkerType;
extern int	    UxXT_XrtGaNeedleType;
extern int	    UxXT_XrtGaObject;
extern int	    UxXT_XrtGaObjectList;
extern int	    UxXT_XrtGaOffsetType;
extern int	    UxXT_XrtGaShape;
extern int	    UxXT_XrtGaSizingPolicy;
extern int	    UxXT_XrtGaStringMode;
extern int	    UxXT_XrtGaSwitchType;
extern int	    UxXT_XrtGaTickType;
extern int	    UxXT_XrtGaValueType;

/* XrtGauge Specific function pointers */

extern int	    UxValuesOfXrtGaAlignment();
extern int	    UxValuesOfXrtGaBorder();
extern int	    UxValuesOfXrtGaCalcMode();
extern int	    UxValuesOfXrtGaDirection();
extern int	    UxValuesOfXrtGaDisplayMode();
extern int	    UxValuesOfXrtGaDouble();
extern int	    UxValuesOfXrtGaImage();
extern int	    UxValuesOfXrtGaImageLayout();
extern int	    UxValuesOfXrtGaIndicatorType();
extern int	    UxValuesOfXrtGaInteractionType();
extern int	    UxValuesOfXrtGaLinePattern();
extern int	    UxValuesOfXrtGaMarkerType();
extern int	    UxValuesOfXrtGaNeedleType();
extern int	    UxValuesOfXrtGaObject();
extern int	    UxValuesOfXrtGaObjectList();
extern int	    UxValuesOfXrtGaOffsetType();
extern int	    UxValuesOfXrtGaShape();
extern int	    UxValuesOfXrtGaSizingPolicy();
extern int	    UxValuesOfXrtGaStringMode();
extern int	    UxValuesOfXrtGaSwitchType();
extern int	    UxValuesOfXrtGaTickType();
extern int	    UxValuesOfXrtGaValueType();

extern int	    UxValidateXrtGaAlignment();
extern int	    UxValidateXrtGaBorder();
extern int	    UxValidateXrtGaCalcMode();
extern int	    UxValidateXrtGaDirection();
extern int	    UxValidateXrtGaDisplayMode();
extern int	    UxValidateXrtGaImageLayout();
extern int	    UxValidateXrtGaIndicatorType();
extern int	    UxValidateXrtGaInteractionType();
extern int	    UxValidateXrtGaLinePattern();
extern int	    UxValidateXrtGaMarkerType();
extern int	    UxValidateXrtGaNeedleType();
extern int	    UxValidateXrtGaObject();
extern int	    UxValidateXrtGaObjectList();
extern int	    UxValidateXrtGaOffsetType();
extern int	    UxValidateXrtGaShape();
extern int	    UxValidateXrtGaSizingPolicy();
extern int	    UxValidateXrtGaStringMode();
extern int	    UxValidateXrtGaSwitchType();
extern int	    UxValidateXrtGaTickType();
extern int	    UxValidateXrtGaValueType();

#endif /* XRTGAUGE_XTYPES_H */

